<html>
<head>
<title>OgreOverlayElement.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Defines</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreOverlayElement.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreString_8h_source.html">OgreString.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderable_8h_source.html">OgreRenderable.h</a>&quot;</code><br/>
<code>#include &quot;OgreUTFString.h&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreOverlayElementCommands_8h_source.html">OgreOverlayElementCommands.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreColourValue_8h_source.html">OgreColourValue.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRectangle_8h_source.html">OgreRectangle.h</a>&quot;</code><br/>
</div>
<p><a href="OgreOverlayElement_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OverlayElement.html">Ogre::OverlayElement</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract definition of a 2D element to be displayed in an <a class="el" href="classOgre_1_1Overlay.html" title="Represents a layer which is rendered on top of the &#39;normal&#39; scene contents.">Overlay</a>.  <a href="classOgre_1_1OverlayElement.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Overlays.html#ga7840a0c97898ebe977e3331199ca28f5">OGRE_DEREF_DISPLAYSTRING_ITERATOR</a>(it)&#160;&#160;&#160;it.getCharacter()</td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef UTFString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Overlays.html#gaf7f1d73c45c54848737f8d59741822f0">Ogre::DisplayString</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Overlays.html#gaa7655e44eacdfd45427ff35bde855f36">Ogre::GuiMetricsMode</a> { <a class="el" href="group__Overlays.html#ggaa7655e44eacdfd45427ff35bde855f36ae7050335374e46745e3c956b940ace9d">Ogre::GMM_RELATIVE</a>, 
<a class="el" href="group__Overlays.html#ggaa7655e44eacdfd45427ff35bde855f36a1995cd35704cb8894f502f135b46309d">Ogre::GMM_PIXELS</a>, 
<a class="el" href="group__Overlays.html#ggaa7655e44eacdfd45427ff35bde855f36a2664ae89e7bd4079392f7feff26b3597">Ogre::GMM_RELATIVE_ASPECT_ADJUSTED</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum describing how the position / size of an element is to be recorded.  <a href="group__Overlays.html#gaa7655e44eacdfd45427ff35bde855f36">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Overlays.html#ga3396780cdb2d731aa5e4389148bdc5f3">Ogre::GuiHorizontalAlignment</a> { <a class="el" href="group__Overlays.html#gga3396780cdb2d731aa5e4389148bdc5f3a69adf8fd8fa9b00e1c4eba735d0a17cb">Ogre::GHA_LEFT</a>, 
<a class="el" href="group__Overlays.html#gga3396780cdb2d731aa5e4389148bdc5f3a64a73804088bb89e7243a14874a457cd">Ogre::GHA_CENTER</a>, 
<a class="el" href="group__Overlays.html#gga3396780cdb2d731aa5e4389148bdc5f3a270f18cf07dbe4e75e1b790d02924205">Ogre::GHA_RIGHT</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum describing where '0' is in relation to the parent in the horizontal dimension.  <a href="group__Overlays.html#ga3396780cdb2d731aa5e4389148bdc5f3">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Overlays.html#gab0815ab90a2d9635695ec7e20e6c372e">Ogre::GuiVerticalAlignment</a> { <a class="el" href="group__Overlays.html#ggab0815ab90a2d9635695ec7e20e6c372eabd89b9daa45f558ebf40181220421c2b">Ogre::GVA_TOP</a>, 
<a class="el" href="group__Overlays.html#ggab0815ab90a2d9635695ec7e20e6c372ea730c870b4637187418842a7545a8d40b">Ogre::GVA_CENTER</a>, 
<a class="el" href="group__Overlays.html#ggab0815ab90a2d9635695ec7e20e6c372eae1858486046629fda36e43b0bfece87a">Ogre::GVA_BOTTOM</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum describing where '0' is in relation to the parent in the vertical dimension.  <a href="group__Overlays.html#gab0815ab90a2d9635695ec7e20e6c372e">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
